# oslo.policy

An OpenStack library providing support for RBAC policy enforcement across all OpenStack services.

## Contents

- Installation
- Administering Applications that use oslo.policy
  - The policy.yaml file
- Configuration Options
  - oslo_policy
- Command Line Interface
  - oslopolicy-checker
  - oslopolicy-validator
  - oslopolicy-list-redundant
  - oslopolicy-policy-generator
  - oslopolicy-sample-generator
  - oslopolicy-convert-json-to-yaml
- Using oslo.policy
  - Usage
  - Writing HTTP check rules
  - Sphinx Oslo Sample Policy Generation
  - ChangeLog
- oslo.policy API Reference
  - oslo_policy
- Contributing

## Release Notes

Read also the oslo.policy Release Notes.

## Indices and tables

- Index

- Module Index

- Search Page

this page last updated: 2026-03-26 20:19:55

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug